## NAME

r.sim.sediment - Sediment transport and erosion/deposition simulation using path sampling method (SIMWE).

## KEYWORDS

raster, hydrology, soil, sediment flow, erosion, deposition, model

## SYNOPSIS

r.sim.sediment
r.sim.sediment --help
r.sim.sediment [-s] elevation=name water_depth=name dx=name dy=name detachment_coeff=name transport_coeff=name shear_stress=name [man=name] [man_value=float] [observation=name] [transport_capacity=name] [tlimit_erosion_deposition=name] [sediment_concentration=name] [sediment_flux=name] [erosion_deposition=name] [logfile=name] [walkers_output=name] [nwalkers=integer] [niterations=integer] [output_step=integer] [diffusion_coeff=float] [random_seed=integer] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-s
  Generate random seed
  Automatically generates random seed for random number generator (use when you don't want to provide the seed option)
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

elevation=name [required]
  Name of input elevation raster map
water_depth=name [required]
  Name of water depth raster map [m]
dx=name [required]
  Name of x-derivatives raster map [m/m]
dy=name [required]
  Name of y-derivatives raster map [m/m]
detachment_coeff=name [required]
  Name of detachment capacity coefficient raster map [s/m]
transport_coeff=name [required]
  Name of transport capacity coefficient raster map [s]
shear_stress=name [required]
  Name of critical shear stress raster map [Pa]
man=name
  Name of Manning's n raster map
man_value=float
  Manning's n unique value
  Default: 0.1
observation=name
  Name of sampling locations vector points map
  Or data source for direct OGR access
transport_capacity=name
  Name for output transport capacity raster map [kg/ms]
tlimit_erosion_deposition=name
  Name for output transport limited erosion-deposition raster map [kg/m2s]
sediment_concentration=name
  Name for output sediment concentration raster map [particle/m3]
sediment_flux=name
  Name for output sediment flux raster map [kg/ms]
erosion_deposition=name
  Name for output erosion-deposition raster map [kg/m2s]
logfile=name
  Name for sampling points output text file. For each observation vector point the time series of sediment transport is stored.
walkers_output=name
  Base name of the output walkers vector points map
nwalkers=integer
  Number of walkers
niterations=integer
  Time used for iterations [minutes]
  Default: 10
output_step=integer
  Time interval for creating output maps [minutes]
  Default: 2
diffusion_coeff=float
  Water diffusion constant
  Default: 0.8
random_seed=integer
  Seed for random number generator
  The same seed can be used to obtain same results or random seed can be generated by other means.
nprocs=integer
  Number of threads which will be used for parallel compute
  Default: 1

## DESCRIPTION

r.sim.sediment is a landscape scale, simulation model of soil erosion, sediment transport and deposition caused by flowing water designed for spatially variable terrain, soil, cover and rainfall excess conditions. The soil erosion model is based on the theory used in the USDA WEPP hillslope erosion model, but it has been generalized to 2D flow. The solution is based on the concept of duality between fields and particles and the underlying equations are solved by Green's function Monte Carlo method, to provide robustness necessary for spatially variable conditions and high resolutions (Mitas and Mitasova 1998). Key inputs of the model include the following raster maps: elevation (elevation [m]), flow gradient given by the first-order partial derivatives of elevation field ( dx and dy), overland flow water depth (water_depth [m]), detachment capacity coefficient (detachment_coeff [s/m]), transport capacity coefficient (transport_coeff [s]), critical shear stress (shear_stress [Pa]) and surface roughness coefficient called Manning's n (man raster map). Partial derivatives can be computed by v.surf.rst or r.slope.aspect module. The data are automatically converted from feet to metric system using database/projection information, so the elevation always should be in meters. The water depth file can be computed using r.sim.water module. Other parameters must be determined using field measurements or reference literature (see suggested values in Notes and References).

Output includes transport capacity raster map transport_capacity in [kg/ms], transport capacity limited erosion/deposition raster map tlimit_erosion_deposition [kg/m2s]i that are output almost immediately and can be viewed while the simulation continues. Sediment flow rate raster map sediment_flux [kg/ms], and net erosion/deposition raster map [kg/m2s] can take longer time depending on time step and simulation time. Simulation time is controlled by niterations [minutes] parameter. If the resulting erosion/deposition map is noisy, higher number of walkers, given by nwalkers should be used.

## SEE ALSO

v.surf.rst, r.slope.aspect, r.sim.water

## AUTHORS

Helena Mitasova, Lubos Mitas
North Carolina State University
hmitaso@unity.ncsu.edu
Jaroslav Hofierka
GeoModel, s.r.o. Bratislava, Slovakia
Chris Thaxton
North Carolina State University
csthaxto@unity.ncsu.edu

## REFERENCES

Mitasova, H., Thaxton, C., Hofierka, J., McLaughlin, R., Moore, A., Mitas L., 2004, Path sampling method for modeling overland water flow, sediment transport and short term terrain evolution in Open Source GIS. In: C.T. Miller, M.W. Farthing, V.G. Gray, G.F. Pinder eds., Proceedings of the XVth International Conference on Computational Methods in Water Resources (CMWR XV), June 13-17 2004, Chapel Hill, NC, USA, Elsevier, pp. 1479-1490.

Mitasova H, Mitas, L., 2000, Modeling spatial processes in multiscale framework: exploring duality between particles and fields, plenary talk at GIScience2000 conference, Savannah, GA.

Mitas, L., and Mitasova, H., 1998, Distributed soil erosion simulation for effective erosion prevention. Water Resources Research, 34(3), 505-516.

Mitasova, H., Mitas, L., 2001, Multiscale soil erosion simulations for land use management, In: Landscape erosion and landscape evolution modeling, Harmon R. and Doe W. eds., Kluwer Academic/Plenum Publishers, pp. 321-347.

Neteler, M. and Mitasova, H., 2008, Open Source GIS: A GRASS GIS Approach. Third Edition. The International Series in Engineering and Computer Science: Volume 773. Springer New York Inc, p. 406.

## SOURCE CODE

Available at: r.sim.sediment source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2020 GRASS Development Team, GRASS GIS 7.9.dev Reference Manual